﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// 空白頁項目範本已記錄在 https://go.microsoft.com/fwlink/?LinkId=234238

namespace i8028UW_Basic_Info_Csharp.Pages
{
    /// <summary>
    /// 可以在本身使用或巡覽至框架內的空白頁面。
    /// </summary>
    public sealed partial class Safe_value : Page
    {
        Int16 slot;
        ComboBox[] range_cbx;
        TextBox[] data_txt;
        public Safe_value()
        {
            this.InitializeComponent();
            range_cbx = new ComboBox[8] { R0_cbx, R1_cbx, R2_cbx, R3_cbx, R4_cbx, R5_cbx, R6_cbx, R7_cbx };
            data_txt = new TextBox[8] { D0_txt, D1_txt, D2_txt, D3_txt, D4_txt, D5_txt, D6_txt, D7_txt };
        }
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            base.OnNavigatedTo(e);
            slot = (Int16)e.Parameter;
        }

        private void set_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 0;
            Button cbx = sender as Button;
            switch (cbx.Name)
            {
                case "O0_btn":
                    {
                        ch = 0;
                        break;
                    }
                case "O1_btn":
                    {
                        ch = 1;
                        break;
                    }
                case "O2_btn":
                    {
                        ch = 2;
                        break;
                    }
                case "O3_btn":
                    {
                        ch = 3;
                        break;
                    }
                case "O4_btn":
                    {
                        ch = 4;
                        break;
                    }
                case "O5_btn":
                    {
                        ch = 5;
                        break;
                    }
                case "O6_btn":
                    {
                        ch = 6;
                        break;
                    }
                case "O7_btn":
                    {
                        ch = 7;
                        break;
                    }
            }
            pac_i8028UNet.pac8028U.WriteSafe_AO(slot, ch, (Int16)range_cbx[ch].SelectedIndex, float.Parse(data_txt[ch].Text));
        }

        private void WDR_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 en = 0;
            Int16 over = 0;
            if (WDT_chk.IsChecked.Value == true)
            {
                en = 1;
            }
            else
            {
                en = 0;
            }
            if (over_chk.IsChecked.Value == true)
            {
                over = 1;
            }
            else
            {
                over = 0;
            }
            pac_i8028UNet.pac8028U.SetModuleWDTConfig(slot, en, UInt16.Parse(Timeout_txt.Text), over);
        }
    }
}
